# fromTestFrameworkFailure

open fun fromTestFrameworkFailure(failure: Throwable): TestFailure

Creates a new TestFailure instance from a test framework failure.

#### Return

the new instance

#### Parameters

failure

the failure

open fun fromTestFrameworkFailure(failure: Throwable, @Nullable causes: @Nullable List<TestFailure>): TestFailure

Creates a new TestFailure instance from a test framework failure.

#### Return

the new instance

#### Parameters

failure

the failure

causes

the list of cause failures; can be `null`